Gem::Specification.new do |spec|
  spec.name                             = "RPSrb"
  spec.version                          = "0.2.0"
  spec.date                             = "2017-03-14" # format: YYYY-MM-DD
  spec.summary                          = "A Rock Paper Scissors Game RubyGem"
  spec.description                      = <<-EOF
    A Ruby-programmed rock paper scissors game.
    Now you can play rock paper scissors on your computer whenever you'd like! :)
  EOF
  spec.author                           = "bag3318"
  spec.email                            = "private"
  spec.platform                         = Gem::Platform::RUBY
  spec.require_paths                    = ["lib"]
  spec.files                            = `git ls-files -z`.split("\x0")
  spec.post_install_message             = <<-EOF
    Thanks for installing my RPSrb gem!
    I hope you will have fun playing rock paper scissors! :)
  EOF
  spec.license                          = "MIT"
  spec.required_ruby_version            = ">= 2.0.0"
  spec.required_rubygems_version        = ">= 2.6.0"
  spec.homepage                         = "https://rubygems.org/gems/RPSrb"
  spec.extra_rdoc_files                 = ["README.md"]
  spec.metadata                         = {
    "issue_tracker"             => "https://gitlab.com/bag3318/RPSrb/issues",
    "git page/source code"      => "https://gitlab.com/bag3318/RPSrb"
  }
  spec.bindir                           = "bin"
  spec.executables                     << "RPSrb"
  spec.requirements                    << "A Windows or Mac computer"
  spec.add_runtime_dependency 'bundler' , '~> 1.14', '>= 1.14.6'
  spec.add_runtime_dependency 'rvm'     , '~> 1.11', '>= 1.11.3.9'
  spec.add_development_dependency 'rake', '~> 12.0', '>= 12.0.0'
  spec.add_development_dependency 'rdoc', '~> 5.1' , '>= 5.1.0'
end
